package com.fr;

import java.io.*;
import javax.portlet.*;

public class HelloPortlet extends javax.portlet.GenericPortlet {
  public void init() {
    System.out.println("HelloPortlet in init");
  }

  public void render() {
    System.out.println("HelloPortlet in render");
  }

  public void processAction(ActionRequest request, ActionResponse actionResponse) throws PortletException, java.io.IOException {
    System.out.println("HelloPortlet in processRequest");
  }

  public void doView(RenderRequest req, RenderResponse res) throws PortletException, IOException {
    System.out.println("HelloPortlet in doView");
    req.setAttribute("test", "String set by HelloPortlet::processAction");
    res.setContentType("text/html");
    String jspName = "/WEB-INF/jsp/helloPortlet.jsp";
    PortletRequestDispatcher rd = getPortletContext().getRequestDispatcher(jspName);
    rd.include(req, res);
  }

  public void doEdit(RenderRequest req, RenderResponse res) throws PortletException, IOException {
    System.out.println("HelloPortlet in doEdit");
  }

  public void doHelp(RenderRequest req, RenderResponse res) {
    System.out.println("HelloPortlet in doHelp");
  }
}
